6.0.0-git
2019-03-21

[#8274] kronolith/lib/api.php missing function in wsdl
Summary kronolith/lib/api.php missing function in wsdl
Queue Kronolith
Queue Version 2.3.1
Type Enhancement
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester rpolli (at) babel (dot) it
Created 2009-05-14 (3598 days ago)
Due
Updated 2010-01-13 (3354 days ago)
Assigned
Resolved 2009-06-16 (3565 days ago)
Milestone
Patch Yes

History
2009-06-16 12:55:14 Jan Schneider Comment #7
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Convinced.
2009-05-15 14:35:41 rpolli (at) babel (dot) it Comment #5 Reply to this comment
You need that information separately for your purposes anyway, because
you want to announce changes and additions in separate SyncML messages.
it's not about syncml. writing a funambol backend you need to provide 
a "strategy" of managing items. then funambol converts your strategy 
in syncml adapting all the communication to the client capabilities 
with a series of parachutes for misbehaving clients.



what is done is:

* create a map <uid, timestamp> of all items stored on horde

* then manage this map to retrieve new,updated,deleted items.



anyway:

* being this function implemented, I see no reason not to expose it: 
it's definitely useful ;)

* I'll be glad to discuss those stuff with you by mail...maybe the 
buglist is not the best place...


2009-05-15 14:21:25 Jan Schneider Comment #4 Reply to this comment
This method is documented in
http://dev.horde.org/api/kronolith/Kronolith/_lib---api.php.html and
I think should be exposed here and in other modules.
Of course it is documented there, the API docs are generated 
automatically. That's not a reason to expose this method though.
imho retrieving the modify timestamp of one item should be done with
a single call, no matter whether the item were added or modified.

as of now I have to invoke twice getActionTimestamp:
- first with modify
- then with add
You need that information separately for your purposes anyway, because 
you want to announce changes and additions in separate SyncML messages.
2009-05-15 09:06:03 rpolli (at) babel (dot) it Comment #3 Reply to this comment
This method is documented in 
http://dev.horde.org/api/kronolith/Kronolith/_lib---api.php.html and I 
think should be exposed here and in other modules.



imho retrieving the modify timestamp of one item should be done with a 
single call, no matter whether the item were added or modified.



as of now I have to invoke twice getActionTimestamp:

- first with modify

- then with add



Imagine in a tree I got 20% new items, it's 20% more calls...
2009-05-14 17:46:05 Jan Schneider Comment #2
State ⇒ Feedback
Milestone ⇒
Reply to this comment
Where is it documented?
2009-05-14 11:40:22 rpolli (at) babel (dot) it Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ kronolith/lib/api.php missing function in wsdl
Queue ⇒ Kronolith
Milestone ⇒ 2.3.1
Patch ⇒ Yes
Reply to this comment
the documented function _kronolith_modified(string uid) isn't exposed 
by webservice



@line 81

+ $_services['modified'] = array(

+    'args' => array('uid' => 'string'),

+    'type' => 'int',

+);



@230

+function _kronolith_modified($uid)

+{

+ return  __kronolith_modified($uid);

+}


Saved Queries